package main

import (
	"net/http"

	"tools.ages.pucrs.br/notar-e-anotar/notar-e-anotar-back-end/pkg/routine_plan"
	"tools.ages.pucrs.br/notar-e-anotar/notar-e-anotar-back-end/pkg/user"
)

func main() {
	handlers := map[string]Router{
		UserRouter:        user.NewUserRouter(),
		RoutinePlanRouter: routine_plan.NewRoutinePlanRouter(),
	}

	api := registerAPI(handlers)

	http.ListenAndServe(":8080", api)
}
